﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using net2._2.Models;

namespace net2._2.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            List<object> listdata = new List<object>();
            // this name and url will be passed to the template to render listview
            listdata.Add(new { name = "About", url = "/Home/About" });
            listdata.Add(new { name = "Contact", url = "/Home/Contact" });
            listdata.Add(new { name = "Index", url = "/Home" });
            ViewBag.dataSource = listdata;
            return View();
        }

        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}
